Bug 25713 - fdisk loops endlessly due to empty partition
Summary: fdisk loops endlessly due to empty partition
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-02 14:00 UTC by Michael Young
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 20:52:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Young 2001-02-02 14:00:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; SunOS 5.6 sun4u)


I created an empty extended partition during install (with fdisk). Now that
the system is running if I try to run fdisk on the disk, it loops endlessly
with the error "omitting empty partition (5)" constantly repeated.

Reproducible: Always
Steps to Reproduce:
1. run fdisk /dev/hda on my machine.
2.
3.

Comment 1 Tim Waugh 2001-02-02 15:00:28 UTC
Same here.  This last worked in util-linux-2.10m-12.

Comment 2 Glen Foster 2001-02-02 22:57:21 UTC
We (Red Hat) should really fix this before next release

Comment 3 Erik Troan 2001-02-06 19:40:02 UTC
Tim, can you send me your partition table please? Just the first 1k of the
device will do.

Comment 4 Erik Troan 2001-02-06 20:52:22 UTC
Fixed in util-linux-2.10p-5, and forwarded to util-linux maintainers.


Note You need to log in before you can comment on or make changes to this bug.